Loading...
Searching...
No Matches
juce::Expression::Symbol Struct Reference

`#include <juce_Expression.h>`

## Public Member Functions

| Symbol (const String &scopeUID, const String &symbolName)
bool | operator== (const Symbol &) const noexcept
bool | operator!= (const Symbol &) const noexcept

## Public Attributes

String | scopeUID
String | symbolName

## Detailed Description

Represents a symbol that is used in an Expression.

Definition at line 185 of file juce_Expression.h.

## Constructor & Destructor Documentation

## Symbol()

juce::Expression::Symbol::Symbol | ( | const String & | scopeUID,
|  | const String & | symbolName )

Definition at line 1103 of file juce_Expression.cpp.

## Member Function Documentation

## operator!=()

bool juce::Expression::Symbol::operator!= | ( | const Symbol & | other | ) | const

noexcept

Definition at line 1113 of file juce_Expression.cpp.

## operator==()

bool juce::Expression::Symbol::operator== | ( | const Symbol & | other | ) | const

noexcept

Definition at line 1108 of file juce_Expression.cpp.

## Member Data Documentation

## scopeUID

String juce::Expression::Symbol::scopeUID

The unique ID of the Scope that contains this symbol.

Definition at line 191 of file juce_Expression.h.

## symbolName

String juce::Expression::Symbol::symbolName

The name of the symbol.

Definition at line 192 of file juce_Expression.h.

Referenced by juce::Expression::withRenamedSymbol().

The documentation for this struct was generated from the following files:

- juce_Expression.h
- juce_Expression.cpp